---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 677f1bd6-e11f-5d8e-acc6-3d5752adecee
      tier: AATSR_CMP_MONTH
      value: 0.11138464510440826
    brdf:
      alpha_1:
        band_1: 0.17440160012279496
        band_11: 0.16840329165756193
        band_12: 0.07255230755116956
        band_2: 0.17434424152045297
        band_3: 0.30043743657579974
        band_4: 0.15290086535702108
        band_5: 0.15290591618522942
        band_6: 0.15291150064951695
        band_7: 0.3370995247796262
        band_8: 0.33717721134431633
        band_8a: 0.3370995247796262
      alpha_2:
        band_1: 0.20901215361057324
        band_11: 0.1986642121229005
        band_12: 0.23034840026104603
        band_2: 0.20902372930061502
        band_3: 0.19449902596391577
        band_4: 0.22075879808254417
        band_5: 0.22075670889162569
        band_6: 0.2207611873903994
        band_7: 0.17740483579494967
        band_8: 0.17738927489620493
        band_8a: 0.17740483579494967
      id:
      - 54451ca9-728a-56a0-8dc6-54cbade65dbc
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 6893a108-f757-5d01-b233-fe0196d7e88b
      tier: DEFINITIVE
      value: 0.27
    water_vapour:
      id:
      - 1b90af35-0aef-53a8-b17a-87d5d046df88
      tier: DEFINITIVE
      value: 3.640000152587891
  id: c88fe478-5410-4bdb-b3e1-fd5d49ad75ee
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1973.456785605544
      BAND-11: 240.2573921688761
      BAND-12: 82.1695357111682
      BAND-2: 2017.261917210709
      BAND-3: 1888.7886566355385
      BAND-4: 1542.1972849225872
      BAND-5: 1423.6456973737
      BAND-6: 1299.0809979906976
      BAND-7: 1189.235258015172
      BAND-8: 1053.2701598876763
      BAND-8A: 960.4995165492529
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2018-10-25 00:57:05.460000Z
    atime: 2022-05-26 13:25:22Z
    ctime: 2018-10-25 14:51:39Z
    mtime: 2018-10-25 14:51:34Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2A_MSIL1C_20181025T005711_N0206_R002_T53KRB_20181025T022855.zip
  system_information:
    hostname: gadi-cpu-clx-2832.gadi.nci.org.au
    runtime_id: 4bc2e1a2-dcf7-11ec-9b2e-00000084fe80
    time_processed: 2022-05-26 13:25:22.761848Z
    uname: 'Linux gadi-cpu-clx-2832.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 11.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 7
  granule: S2A_OPER_MSI_L1C_TL_EPAE_20181025T022855_A017445_T53KRB_N02.06
  ref_date: '2014-09-19T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/100/071/LC81000712014262LGN00_B6.TIF
  residual:
    abs:
      x: 24.21
      xy: 36.48
      y: 27.29
    abs_iterative_mean:
      x: 24.21
      xy: 36.45
      y: 27.25
    cep90: 39.34
    iterative_mean:
      x: 24.21
      xy: 36.45
      y: -27.25
    iterative_stddev:
      x: 3.07
      xy: 3.65
      y: 1.98
    mean:
      x: 24.21
      xy: 36.48
      y: -27.29
    stddev:
      x: 4.18
      xy: 5.55
      y: 3.64
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 38.720604133723086
    cloud: 16.133861672110434
    cloud_shadow: 8.18167894645342
    snow: 0.891843533500439
    water: 36.07201171421262
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 64.38575702628471
    cloud: 35.614242973715285
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
